package com.community.huiju.security;

import org.springframework.security.authentication.AbstractAuthenticationToken;
import org.springframework.security.core.GrantedAuthority;

import java.util.Collection;

/**
 * 认证
 * @author weiximei
 */
public class TokenAuthrentication extends AbstractAuthenticationToken {

    /**
     * 创建权限集合
     */
    public TokenAuthrentication(Collection<? extends GrantedAuthority> authorities) {
        super(authorities);
    }

    @Override
    public Object getCredentials() {
        return null;
    }

    @Override
    public Object getPrincipal() {
        return null;
    }
}
